kind: pipeline
name: default

steps:
- name: build
  image: klakegg/hugo:ext-alpine
  commands:
  - hugo mod get -u
  - hugo-official --minify --gc --cleanDestinationDir

- name: deploy
  image: appleboy/drone-scp
  settings:
    host: jcktrue.dk
    target: /home/jct/apps/http/jcktrue.dk/
    source: public/*
    strip_components: 1
    username:
      from_secret: SSH_USERNAME
    password:
      from_secret: SSH_PASSWORD